Bug 1576300 - [abrt] ibus: type_check_is_value_type_U(): ibus-x11 killed by SIGSEGV [NEEDINFO]
Summary: [abrt] ibus: type_check_is_value_type_U(): ibus-x11 killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1993cf4030f5ca81d78ba40c932...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:51 UTC by Clayton Diggs
Modified: 2019-11-26 23:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-23 10:11:54 UTC
tfujiwar: needinfo?


Attachments (Terms of Use)
File: backtrace (27.63 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: core_backtrace (11.16 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: dso_list (7.62 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: environ (3.63 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: maps (34.52 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: mountinfo (3.86 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: open_fds (886 bytes, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-09 07:51 UTC, Clayton Diggs
no flags Details

Description Clayton Diggs 2018-05-09 07:51:39 UTC
Version-Release number of selected component:
ibus-1.5.18-4.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-x11 --kill-daemon
crash_function: type_check_is_value_type_U
executable:     /usr/libexec/ibus-x11
journald_cursor: s=5705bdf1079e4818ad535346599be358;i=57234;b=09254e645f4044e0b906f602651192f8;m=1733458;t=56bc1066c8a02;x=eaba161616207d5e
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 type_check_is_value_type_U at gtype.c:4175
 #1 g_type_check_value at gtype.c:4198
 #2 parse_border at gtkcssshorthandpropertyimpl.c:399
 #3 gtk_css_shorthand_property_parse_value at gtkcssshorthandproperty.c:133
 #4 parse_declaration at gtkcssprovider.c:1473
 #5 parse_declarations at gtkcssprovider.c:1583
 #6 parse_ruleset at gtkcssprovider.c:1615
 #7 parse_statement at gtkcssprovider.c:1644
 #8 parse_stylesheet at gtkcssprovider.c:1660
 #9 gtk_css_provider_load_internal at gtkcssprovider.c:1787

Comment 1 Clayton Diggs 2018-05-09 07:51:43 UTC
Created attachment 1433587 [details]
File: backtrace

Comment 2 Clayton Diggs 2018-05-09 07:51:44 UTC
Created attachment 1433588 [details]
File: cgroup

Comment 3 Clayton Diggs 2018-05-09 07:51:45 UTC
Created attachment 1433589 [details]
File: core_backtrace

Comment 4 Clayton Diggs 2018-05-09 07:51:46 UTC
Created attachment 1433590 [details]
File: cpuinfo

Comment 5 Clayton Diggs 2018-05-09 07:51:47 UTC
Created attachment 1433591 [details]
File: dso_list

Comment 6 Clayton Diggs 2018-05-09 07:51:48 UTC
Created attachment 1433592 [details]
File: environ

Comment 7 Clayton Diggs 2018-05-09 07:51:49 UTC
Created attachment 1433593 [details]
File: exploitable

Comment 8 Clayton Diggs 2018-05-09 07:51:50 UTC
Created attachment 1433594 [details]
File: limits

Comment 9 Clayton Diggs 2018-05-09 07:51:51 UTC
Created attachment 1433595 [details]
File: maps

Comment 10 Clayton Diggs 2018-05-09 07:51:52 UTC
Created attachment 1433596 [details]
File: mountinfo

Comment 11 Clayton Diggs 2018-05-09 07:51:53 UTC
Created attachment 1433597 [details]
File: open_fds

Comment 12 Clayton Diggs 2018-05-09 07:51:54 UTC
Created attachment 1433598 [details]
File: proc_pid_status

Comment 13 fujiwara 2018-05-09 08:15:58 UTC
How often can you reproduce the problem?

Seems your problem happened when GTK load /usr/share/themes/Telinkrin-GTK/gtk-3.0

Can you reproduce the problem when you change the theme?

Comment 14 Clayton Diggs 2018-05-09 08:52:03 UTC
(In reply to fujiwara from comment #13)
> How often can you reproduce the problem?
> 
> Seems your problem happened when GTK load
> /usr/share/themes/Telinkrin-GTK/gtk-3.0
> 
> Can you reproduce the problem when you change the theme?

It seems to be somewhat random. I tried to reproduce this by changing the theme back and forth from that theme, but all I managed to do was crash GNOME Shell.

Comment 15 fujiwara 2018-05-09 09:51:25 UTC
(In reply to Alan Diggs from comment #14)
> It seems to be somewhat random. I tried to reproduce this by changing the
> theme back and forth from that theme, but all I managed to do was crash
> GNOME Shell.

Can you get the backtrace likes comment #1 ?
This category is ibus but not gnome-shell.

Comment 16 Pooja Yadav 2019-04-15 06:30:01 UTC
Any update on this?

Comment 17 Pooja Yadav 2019-04-23 10:11:54 UTC
Not able to reproduce it, hence closing it.
Please re-open if required.


Note You need to log in before you can comment on or make changes to this bug.